summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2023-06-09 10:25:53 +0100
committer bedlam <dave@slackbuilds.org>2023-06-09 10:25:53 +0100
commitc0d821e2c7d2bccf62dbaba93ca19dd1c1f4da03 (patch)
tree27f46dd9ee22d12509cf0192a3ac9d9876aedc4c
parente065102b5ae35a31d911df39a622a09ac6be6bd6 (diff)
downloadslackbuilds-c0d821e2c7d2bccf62dbaba93ca19dd1c1f4da03.tar.gz
slackbuilds-c0d821e2c7d2bccf62dbaba93ca19dd1c1f4da03.tar.xz
system/pbzx: Added (pbzx stream parser)
Signed-off-by: bedlam <dave@slackbuilds.org>
-rw-r--r--system/pbzx/README6
-rw-r--r--system/pbzx/pbzx.SlackBuild96
-rw-r--r--system/pbzx/pbzx.info10
-rw-r--r--system/pbzx/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/system/pbzx/README b/system/pbzx/README
new file mode 100644
index 0000000000..1bc08f011b
--- /dev/null
+++ b/system/pbzx/README
@@ -0,0 +1,6 @@
+pbzx stream parser
+
+This is a fork of PHPdev32's implementation of the pbzx stream parser
+program. Pbzx is a format employed in later versions of OSX disk images
+(starting with 10.10) to encode payload data in .pkg files. Pbzx unpacks
+.pkg files and outputs to stdout to be unpacked with cpio.
diff --git a/system/pbzx/pbzx.SlackBuild b/system/pbzx/pbzx.SlackBuild
new file mode 100644
index 0000000000..b99c841869
--- /dev/null
+++ b/system/pbzx/pbzx.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# Slackware build script for <pbzx>
+
+# Copyright 2023 Petar Petrov slackalaxy.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pbzx
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+gcc $SLKCFLAGS -llzma -lxar -I /usr/include pbzx.c -o pbzx
+install -D -m 755 pbzx $PKG/usr/bin/pbzx
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/pbzx/pbzx.info b/system/pbzx/pbzx.info
new file mode 100644
index 0000000000..6bbbdbae16
--- /dev/null
+++ b/system/pbzx/pbzx.info
@@ -0,0 +1,10 @@
+PRGNAM="pbzx"
+VERSION="1.0.2"
+HOMEPAGE="https://github.com/NiklasRosenstein/pbzx"
+DOWNLOAD="https://github.com/NiklasRosenstein/pbzx/archive/v1.0.2/pbzx-1.0.2.tar.gz"
+MD5SUM="37c384e2912b3c607e7fc26e88d8efea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="xar"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/system/pbzx/slack-desc b/system/pbzx/slack-desc
new file mode 100644
index 0000000000..ac95fd419f
--- /dev/null
+++ b/system/pbzx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pbzx: pbzx (pbzx stream parser)
+pbzx:
+pbzx: A fork of PHPdev32's implementation of the pbzx stream parser
+pbzx: program. Pbzx is a format employed in later versions of OSX
+pbzx: disk images (starting with 10.10) to encode payload data in
+pbzx: .pkg files.
+pbzx:
+pbzx: https://github.com/NiklasRosenstein/pbzx
+pbzx:
+pbzx:
+pbzx: